%define nginx_user      nginx
%define nginx_group     %{nginx_user}
%define nginx_home      %{_localstatedir}/lib/nginx
%define nginx_home_tmp  %{nginx_home}/tmp
%define nginx_logdir    %{_localstatedir}/log/nginx
%define nginx_confdir   %{_sysconfdir}/nginx
%define nginx_datadir   %{_datadir}/nginx
%define nginx_webroot   %{nginx_datadir}/html
%define nginx_moduledir %{nginx_datadir}/modules
%define nginx_lua_lib   %{_libdir}
%define nginx_lua_inc   %{_includedir}/luajit-2.1

Name:           nginx
Version:        1.22.1
Release:        4%{?dist}
Summary:        Robust, small and high performance http and reverse proxy server
Group:          System Environment/Daemons   

# BSD License (two clause)
# http://www.freebsd.org/copyright/freebsd-license.html
License:        BSD
URL:            http://nginx.net/ 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:        http://sysoev.ru/nginx/nginx-%{version}.tar.gz
Source1:        %{name}.init
Source2:        %{name}.logrotate
Source3:        virtual.conf
Source4:        ssl.conf
Source5:        nginx-upstream-fair.tgz
Source6:        upstream-fair.conf
Source7:        %{name}.sysconfig
Source8:        nginx-push-stream-module-0.5.5.tar.gz
Source9:        http-push-stream.conf
Source10:       nginx-sticky-module-ng-1.2.6.tar.gz
Source11:       sticky-module.conf
Source12:       naxsi-1.3.tar.gz
Source13:       %{name}.service
Source14:       ngx_devel_kit-0.3.2.tar.gz
Source15:       devel-kit-dynamic.conf
Source16:       form-input-nginx-module-0.12.tar.gz
Source17:       http-form-input-dynamic.conf
Source18:       http-naxsi-dynamic.conf
Source19:       http-sticky-module-dynamic.conf
Source20:       http-upstream-fair-dynamic.conf
Source21:       http-push-stream-dynamic.conf
Source22:       http-geoip-dynamic.conf
Source23:       http-image-filter-dynamic.conf
Source24:       http-perl-dynamic.conf
Source25:       http-xslt-filter-dynamic.conf
Source26:       mail-dynamic.conf
Source27:       stream-dynamic.conf
Source28:       echo-nginx-module-0.62.tar.gz
Source29:       http-echo-dynamic.conf
Source30:       nginx-rtmp-module-1.2.2.tar.gz
Source31:       rtmp-dynamic.conf
Source32:       nginx-auth-ldap-0.1.tar.gz
Source33:       http-auth-ldap-dynamic.conf
Source34:       njs-0.7.6.tar.gz
Source35:       nginx-njs-dynamic.conf
Source36:       headers-more-nginx-module-0.34.tar.gz
Source37:       http-headers-more-dynamic.conf
Source38:       ngx_http_proxy_connect_module-0.0.3.tar.gz
Source39:       http-proxy-connect-dynamic.conf
Source40:       lua-nginx-module-0.10.26.tar.gz
Source41:       http-lua-dynamic.conf
Source42:       ngx_lua_ipc-0.1.6.tar.gz
Source43:       lua-ipc-dynamic.conf
Source100:      index.html
Source101:      nginx-logo.png
Source102:      50x.html
Source103:      404.html

BuildRequires:  pcre-devel,zlib-devel,openssl-devel,gd-devel,gcc
# gperftools exist only on selected arches
%ifarch %{ix86} x86_64 ppc ppc64 %{arm}
BuildRequires:  gperftools-devel
%endif

Requires:       pcre,zlib,openssl,gd

Provides:       webserver

%if 0%{?rhel} >= 7
BuildRequires:     systemd
Requires(post):    systemd
Requires(preun):   systemd
Requires(postun):  systemd
%else
Requires(post):    chkconfig
Requires(preun):   chkconfig, initscripts
Requires(postun):  initscripts
%endif

# removes -Werror in upstream build scripts.  -Werror conflicts with
# -D_FORTIFY_SOURCE=2 causing warnings to turn into errors.
Patch0:     nginx-auto-cc-gcc.patch

# configuration patch to match all the Fedora paths for logs, pid files
# etc.
Patch1:     nginx-conf.patch

# NGiNX sticky module ng dynamic module support
Patch2:     nginx-sticky-module-ng-dynamic.patch

# NGiNX upstream fair dynamic module support
Patch3:     upstream-fair-dynamic.patch

# NGiNX sticky module ng support to internal MD5/SHA1
Patch4:     nginx-sticky-module-ng-internal.patch

# NGiNX Lua IPC module config file patch
Patch5:     ngx_lua_ipc-configfile.patch


%package devel-kit
Requires:       %{name} = %{version}
Summary:        NGiNX developers generic tools.

%package form-input
Requires:       %{name} = %{version}, nginx-devel-kit
Summary:        NGiNX module to read HTTP POST and PUT variables.

%package push-stream-module
Requires:       %{name} = %{version}
Summary:        NGiNX http push technology.

%package naxsi
Requires:       %{name} = %{version}
Summary:        NGiNX WAF security module.

%package sticky-module-ng
Requires:       %{name} = %{version}
Summary:        NGiNX sticky cookie based upstream forward marker.

%package upstream-fair
Requires:       %{name} = %{version}
Summary:        NGiNX uptream fair load balancer.

%package geoip
Requires:       %{name} = %{version}, GeoIP
BuildRequires:  GeoIP-devel
Summary:        NGiNX uptream fair load balancer.

%package image-filter
Requires:       %{name} = %{version}
Summary:        NGiNX image format transforms filter.

%package perl
Requires:       %{name} = %{version}, perl, perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:  perl-devel, perl(ExtUtils::Embed)
Summary:        NGiNX perl module.

%package xslt-filter
Requires:       %{name} = %{version}, libxslt
BuildRequires:  libxslt-devel
Summary:        NGiNX XSLT filter module.

%package mail
Requires:       %{name} = %{version}
Summary:        NGiNX mail proxy support.

%package stream
Requires:       %{name} = %{version}
Summary:        NGiNX stream proxy support.

%package echo
Requires:       %{name} = %{version}
Summary:        NGiNX module for bringing the power of "echo", "sleep", "time" and more to Nginx's config file.

%package rtmp
Requires:       %{name} = %{version}
Summary:        NGiNX module that enable media streaming.

%package auth-ldap
Requires:       %{name} = %{version}
Requires:	openldap
BuildRequires:	openldap-devel
Summary:        NGiNX module that adds support to authentication against multiple LDAP servers.

%package njs
Requires:       %{name} = %{version}
Summary:        NGiNX JavaScript language subset.

%package headers-more
Requires:       %{name} = %{version}
Summary:        NGiNX advanced HTTP headers manipulation module.

%package proxy-connect
Requires:       %{name} = %{version}
Summary:        NGiNX proxy CONNECT method support module.

%package lua
Requires:       %{name} = %{version}
Requires:       %{name}-devel-kit = %{version}
Requires:       luajit >= 2.1
Requires:       lua-resty-core
Requires:       lua-resty-lrucache
BuildRequires:  luajit-devel >= 2.1
Summary:        NGiNX HTTP Lua language support module.

%package lua-ipc
Requires:       %{name} = %{version}
Requires:       %{name}-lua = %{version}
Summary:        NGiNX Lua IPC support module.


%description
Nginx [engine x] is an HTTP(S) server, HTTP(S) reverse proxy and IMAP/POP3
proxy server written by Igor Sysoev.

%description devel-kit
NGiNX Development Kit is an Nginx module that adds additional generic tools that
module developers can use in their own modules.

%description form-input
NGiNX form imput is a module that reads HTTP POST and PUT request body encoded
in "application/x-www-form-urlencoded", and parse the arguments in request body
into nginx variables.

%description push-stream-module
NGiNX push stream module is a pure stream http push technology for your NGiNX
setup. Comet made easy and really scalable.

%description naxsi
NAXSI is an open-source, high performance, low rules maintenance WAF for NGiNX.

%description sticky-module-ng
NGiNX sticky module ng is a module to add a sticky cookie to be always forwarded
to the same upstream server.

%description upstream-fair
NGiNX upstream fair is the the fair load balancer module for NGiNX.

%description geoip
The NGiNX GeoIP module creates variables with values depending on the client IP
address, using the precompiled MaxMind databases.

%description image-filter
The NGiNX image filter module is a filter that transforms images in JPEG, GIF
and PNG formats.

%description perl
The NGiNX perl module is used to implement location and variable handlers in
Perl and insert Perl calls into SSI.

%description xslt-filter
The NGiNX XSLT filter module is a filter that transforms XML responses using
one or more XSLT stylesheets.

%description mail
The NGiNX mail proxy support module.

%description stream
The NGiNX stream proxy support module.

%description echo
Echo is an NGiNX module for bringing the power of "echo", "sleep", "time" and
more to Nginx's config file.

%description rtmp
This is a NGINX-based Media Streaming Server.

%description auth-ldap
LDAP module for nginx which supports authentication against multiple LDAP
servers.

%description njs
NJS is a subset of the JavaScript language that allows extending nginx
functionality. NJS is created in compliance with ECMAScript 5.1 (strict mode)
with some ECMAScript 6 and later extensions. The compliance is still evolving.

%description headers-more
NGiNX HTTP Headers More is a module that implements extra HTTP headers
manipulation features.

%description proxy-connect
NGiNX HTTP Proxy Connect module add support to use NGiNX as a proxy server to be
used by users to connect to external network.

%description lua
NGiNX HTTP Lua language support module add the support to use the Lua scripting
language into NGiNX configuration file, bringing the power of Lua language into
HTTP server.

%description lua-ipc
Interprocess communication for lua_nginx_module and openresty. Send named alerts
with string data between Nginx worker processes.


%prep
%setup -q

%patch0 -p0
%patch1 -p0
%{__tar} zxvf %{SOURCE5}
%patch3 -p0
%{__tar} zxvf %{SOURCE8}
%{__tar} zxvf %{SOURCE10}
%patch2 -p0
%patch4 -p0
mv nginx-goodies-nginx-sticky-module-ng-c78b7dd79d0d nginx-sticky-module-ng-1.2.6
%{__tar} zxvf %{SOURCE12}
%{__tar} zxvf %{SOURCE14}
%{__tar} zxvf %{SOURCE16}
%{__tar} zxvf %{SOURCE28}
%{__tar} zxvf %{SOURCE30}
%{__tar} zxvf %{SOURCE32}
%{__tar} zxvf %{SOURCE34}
%{__tar} zxvf %{SOURCE36}
%{__tar} zxvf %{SOURCE38}
%{__tar} zxvf %{SOURCE40}
%{__tar} zxvf %{SOURCE42}
%patch5 -p0
patch -p1 < ngx_http_proxy_connect_module-0.0.3/patch/proxy_connect_rewrite_102101.patch


%build
# nginx does not utilize a standard configure script.  It has its own
# and the standard configure options cause the nginx configure script
# to error out.  This is is also the reason for the DESTDIR environment
# variable.  The configure script(s) have been patched (Patch1 and
# Patch2) in order to support installing into a build environment.
export DESTDIR=%{buildroot}
export LUAJIT_LIB=%{nginx_lua_lib}
export LUAJIT_INC=%{nginx_lua_inc}
./configure \
    --user=%{nginx_user} \
    --group=%{nginx_group} \
    --prefix=%{nginx_datadir} \
    --sbin-path=%{_sbindir}/%{name} \
    --conf-path=%{nginx_confdir}/%{name}.conf \
    --error-log-path=%{nginx_logdir}/error.log \
    --http-log-path=%{nginx_logdir}/access.log \
    --http-client-body-temp-path=%{nginx_home_tmp}/client_body \
    --http-proxy-temp-path=%{nginx_home_tmp}/proxy \
    --http-fastcgi-temp-path=%{nginx_home_tmp}/fastcgi \
    --http-uwsgi-temp-path=%{nginx_home_tmp}/uwsgi \
    --http-scgi-temp-path=%{nginx_home_tmp}/scgi \
%if 0%{?rhel} >= 7
    --pid-path=/run/nginx.pid \
    --lock-path=/run/lock/subsys/nginx \
%else
    --pid-path=%{_localstatedir}/run/%{name}.pid \
    --lock-path=%{_localstatedir}/lock/subsys/%{name} \
%endif
    --with-ipv6 \
    --with-http_ssl_module \
    --with-http_v2_module \
    --with-http_realip_module \
    --with-http_addition_module \
    --with-http_xslt_module=dynamic \
    --with-http_image_filter_module=dynamic \
    --with-http_geoip_module=dynamic \
    --with-http_sub_module \
    --with-http_dav_module \
    --with-http_flv_module \
    --with-http_mp4_module \
    --with-http_gunzip_module \
    --with-http_gzip_static_module \
    --with-http_auth_request_module \
    --with-http_random_index_module \
    --with-http_secure_link_module \
    --with-http_degradation_module \
    --with-http_stub_status_module \
    --with-http_perl_module=dynamic \
    --with-stream=dynamic \
    --with-mail=dynamic \
    --with-mail_ssl_module \
    --with-debug \
%ifnarch aarch64
    --with-file-aio \
%endif
%ifarch %{ix86} x86_64 ppc ppc64 %{arm}
    --with-google_perftools_module \
%endif
    --with-cc-opt="%{optflags} $(pcre-config --cflags)" \
    --with-ld-opt="$RPM_LD_FLAGS -Wl,-E" \
    --add-dynamic-module=nginx-upstream-fair \
    --add-dynamic-module=nginx-push-stream-module-0.5.5 \
    --add-dynamic-module=nginx-sticky-module-ng-1.2.6 \
    --add-dynamic-module=naxsi-1.3/naxsi_src \
    --add-dynamic-module=ngx_devel_kit-0.3.2 \
    --add-dynamic-module=form-input-nginx-module-0.12 \
    --add-dynamic-module=echo-nginx-module-0.62 \
    --add-dynamic-module=nginx-rtmp-module-1.2.2 \
    --add-dynamic-module=nginx-auth-ldap-0.1 \
    --add-dynamic-module=njs-0.7.6/nginx \
    --add-dynamic-module=headers-more-nginx-module-0.34 \
    --add-dynamic-module=ngx_http_proxy_connect_module-0.0.3 \
    --add-dynamic-module=lua-nginx-module-0.10.26 \
    --add-dynamic-module=ngx_lua_ipc-0.1.6
make %{?_smp_mflags} 

# Build the NGiNX njs debugging tool
pushd njs-0.7.6
./configure
make %{?_smp_mflags}
popd


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALLDIRS=vendor

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} \;
find %{buildroot} -type f -empty -exec rm -f {} \;
find %{buildroot} -type f -exec chmod 0644 {} \;
find %{buildroot} -type f -name '*.so' -exec chmod 0755 {} \;
chmod 0755 %{buildroot}%{_sbindir}/nginx
%if 0%{?rhel} >= 7
    %{__install} -p -D -m 0644 %{SOURCE13} %{buildroot}%{_unitdir}/%{name}.service
%else
    %{__install} -p -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
    %{__install} -p -D -m 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%endif
%{__install} -p -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_confdir}/conf.d
%{__install} -p -m 0644 %{SOURCE3} %{SOURCE4} %{SOURCE6} %{SOURCE9} %{SOURCE11} %{buildroot}%{nginx_confdir}/conf.d
%{__install} -p -d -m 0755 %{buildroot}%{nginx_confdir}/modules.d
%{__install} -p -m 0644 %{SOURCE15} %{SOURCE17} %{SOURCE18} %{SOURCE19} %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} %{SOURCE25} %{SOURCE26} %{SOURCE27} %{SOURCE29} %{SOURCE31} %{SOURCE33} %{SOURCE35} %{SOURCE37} %{SOURCE39} %{SOURCE41} %{SOURCE43} %{buildroot}%{nginx_confdir}/modules.d
for conf in %{buildroot}%{nginx_confdir}/modules.d/*.conf; do
    mv "${conf}" "${conf/-dynamic/}"
done
%{__install} -p -d -m 0755 %{buildroot}%{nginx_home}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_home_tmp}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_logdir}
%{__install} -p -d -m 0755 %{buildroot}%{nginx_webroot}
%{__install} -p -m 0644 %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{buildroot}%{nginx_webroot}
%{__install} -p -m 0644 naxsi-1.3/naxsi_config/naxsi_core.rules %{buildroot}%{nginx_confdir}/conf.d/naxsi_core.rules

%{__install} -p -D -m 0644 %{_builddir}/nginx-%{version}/man/nginx.8 %{buildroot}%{_mandir}/man8/nginx.8

for i in ftdetect indent syntax; do
    %{__install} -p -D -m644 contrib/vim/${i}/%{name}.vim %{buildroot}%{_datadir}/vim/vimfiles/${i}/%{name}.vim
done

# convert to UTF-8 all files that give warnings.
for textfile in CHANGES
do
    mv $textfile $textfile.old
    iconv --from-code ISO8859-1 --to-code UTF-8 --output $textfile $textfile.old
    rm -f $textfile.old
done

# remove fastcgi.conf (duplicated with fastcgi_params):
rm %{buildroot}%{nginx_confdir}/fastcgi.conf{,.default}

# install njs tool
%{__install} -p -d -m 0755 %{buildroot}%{_bindir}
%{__install} -p -m 0755 njs-0.7.6/build/njs %{buildroot}%{_bindir}/njs


%clean
rm -rf %{buildroot}


%pre
%{_sbindir}/useradd -c "Nginx web server" -s /bin/false -r -d %{nginx_home} %{nginx_user} 2>/dev/null || :


%post
%if 0%{?rhel} >= 7
%systemd_post %{name}.service
%else
if [ $1 -eq 1 ]; then
    /sbin/chkconfig --add %{name}
fi
%endif


%preun
%if 0%{?rhel} >= 7
%systemd_preun %{name}.service
%else
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi
%endif


%postun
%if 0%{?rhel} >= 7
%systemd_postun %{name}.service
%else
if [ $1 -ge 1 ]; then
    /sbin/service %{name} condrestart > /dev/null 2>&1 || :
fi
%endif


%files devel-kit
%defattr(-,root,root,-)
%doc ngx_devel_kit-0.3.2/docs/core ngx_devel_kit-0.3.2/docs/modules ngx_devel_kit-0.3.2/docs/patches ngx_devel_kit-0.3.2/docs/upstream ngx_devel_kit-0.3.2/examples ngx_devel_kit-0.3.2/notes/CHANGES ngx_devel_kit-0.3.2/notes/LICENSE ngx_devel_kit-0.3.2/README_AUTO_LIB.md ngx_devel_kit-0.3.2/README.md
%config %{nginx_confdir}/modules.d/devel-kit.conf
%{nginx_moduledir}/ndk_http_module.so

%files form-input
%defattr(-,root,root,-)
%doc form-input-nginx-module-0.12/README.md
%config %{nginx_confdir}/modules.d/http-form-input.conf
%{nginx_moduledir}/ngx_http_form_input_module.so

%files push-stream-module
%defattr(-,root,root,-)
%doc nginx-push-stream-module-0.5.5/AUTHORS nginx-push-stream-module-0.5.5/CHANGELOG.textile nginx-push-stream-module-0.5.5/COPYING nginx-push-stream-module-0.5.5/LICENSE nginx-push-stream-module-0.5.5/README.textile
%config %{nginx_confdir}/modules.d/http-push-stream.conf
%config(noreplace) %{nginx_confdir}/conf.d/http-push-stream.conf
%{nginx_moduledir}/ngx_http_push_stream_module.so

%files naxsi
%defattr(-,root,root,-)
%doc naxsi-1.3/LICENSE naxsi-1.3/README.md
%config %{nginx_confdir}/modules.d/http-naxsi.conf
%config(noreplace) %{nginx_confdir}/conf.d/naxsi_core.rules
%{nginx_moduledir}/ngx_http_naxsi_module.so

%files sticky-module-ng
%defattr(-,root,root,-)
%doc nginx-sticky-module-ng-1.2.6/LICENSE nginx-sticky-module-ng-1.2.6/README.md nginx-sticky-module-ng-1.2.6/Changelog.txt nginx-sticky-module-ng-1.2.6/docs/sticky.pdf nginx-sticky-module-ng-1.2.6/docs/sticky.vsd
%config %{nginx_confdir}/modules.d/http-sticky-module.conf
%config(noreplace) %{nginx_confdir}/conf.d/sticky-module.conf
%{nginx_moduledir}/ngx_http_sticky_module.so

%files upstream-fair
%defattr(-,root,root,-)
%doc nginx-upstream-fair/README
%config %{nginx_confdir}/modules.d/http-upstream-fair.conf
%config(noreplace) %{nginx_confdir}/conf.d/upstream-fair.conf
%{nginx_moduledir}/ngx_http_upstream_fair_module.so

%files geoip
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/http-geoip.conf
%{nginx_moduledir}/ngx_http_geoip_module.so

%files image-filter
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/http-image-filter.conf
%{nginx_moduledir}/ngx_http_image_filter_module.so

%files perl
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/http-perl.conf
%{nginx_moduledir}/ngx_http_perl_module.so

%files xslt-filter
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/http-xslt-filter.conf
%{nginx_moduledir}/ngx_http_xslt_filter_module.so

%files mail
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/mail.conf
%{nginx_moduledir}/ngx_mail_module.so

%files stream
%defattr(-,root,root,-)
%config %{nginx_confdir}/modules.d/stream.conf
%{nginx_moduledir}/ngx_stream_module.so

%files echo
%defattr(-,root,root,-)
%doc echo-nginx-module-0.62/LICENSE echo-nginx-module-0.62/README.markdown
%config %{nginx_confdir}/modules.d/http-echo.conf
%{nginx_moduledir}/ngx_http_echo_module.so

%files rtmp
%defattr(-,root,root,-)
%doc nginx-rtmp-module-1.2.2/AUTHORS nginx-rtmp-module-1.2.2/LICENSE nginx-rtmp-module-1.2.2/README.md nginx-rtmp-module-1.2.2/test
%config %{nginx_confdir}/modules.d/rtmp.conf
%{nginx_moduledir}/ngx_rtmp_module.so

%files auth-ldap
%defattr(-,root,root,-)
%doc nginx-auth-ldap-0.1/README.md nginx-auth-ldap-0.1/LICENSE nginx-auth-ldap-0.1/example.conf
%config %{nginx_confdir}/modules.d/http-auth-ldap.conf
%{nginx_moduledir}/ngx_http_auth_ldap_module.so

%files njs
%defattr(-,root,root,-)
%doc njs-0.7.6/CHANGES njs-0.7.6/LICENSE njs-0.7.6/README
%config %{nginx_confdir}/modules.d/nginx-njs.conf
%{nginx_moduledir}/ngx_http_js_module.so
%{nginx_moduledir}/ngx_stream_js_module.so
%{_bindir}/njs

%files headers-more
%defattr(-,root,root,-)
%doc headers-more-nginx-module-0.34/README.markdown
%config %{nginx_confdir}/modules.d/http-headers-more.conf
%{nginx_moduledir}/ngx_http_headers_more_filter_module.so

%files proxy-connect
%defattr(-,root,root,-)
%doc ngx_http_proxy_connect_module-0.0.3/LICENSE ngx_http_proxy_connect_module-0.0.3/README.md
%config %{nginx_confdir}/modules.d/http-proxy-connect.conf
%{nginx_moduledir}/ngx_http_proxy_connect_module.so

%files lua
%defattr(-,root,root,-)
%doc lua-nginx-module-0.10.26/README.markdown
%config %{nginx_confdir}/modules.d/http-lua.conf
%{nginx_moduledir}/ngx_http_lua_module.so

%files lua-ipc
%defattr(-,root,root,-)
%doc ngx_lua_ipc-0.1.6/LICENSE ngx_lua_ipc-0.1.6/README.md
%config %{nginx_confdir}/modules.d/lua-ipc.conf
%{nginx_moduledir}/ngx_lua_ipc_module.so

%files
%defattr(-,root,root,-)
%doc LICENSE CHANGES README
%dir %{nginx_datadir}
%{nginx_datadir}/html
%dir %{nginx_moduledir}
%{_sbindir}/%{name}
%{_datadir}/vim/vimfiles/ftdetect/nginx.vim
%{_datadir}/vim/vimfiles/syntax/nginx.vim
%{_datadir}/vim/vimfiles/indent/nginx.vim
%{_mandir}/man3/%{name}.3pm.gz
%{_mandir}/man8/%{name}.8*
%if 0%{?rhel} >= 7
%{_unitdir}/%{name}.service
%else
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%endif
%dir %{nginx_confdir}
%dir %{nginx_confdir}/conf.d
%config(noreplace) %{nginx_confdir}/conf.d/ssl.conf
%config(noreplace) %{nginx_confdir}/conf.d/virtual.conf
%config(noreplace) %{nginx_confdir}/win-utf
%config(noreplace) %{nginx_confdir}/%{name}.conf.default
%config(noreplace) %{nginx_confdir}/mime.types.default
%config(noreplace) %{nginx_confdir}/fastcgi_params
%config(noreplace) %{nginx_confdir}/fastcgi_params.default
%config(noreplace) %{nginx_confdir}/koi-win
%config(noreplace) %{nginx_confdir}/koi-utf
%config(noreplace) %{nginx_confdir}/%{name}.conf
%config(noreplace) %{nginx_confdir}/mime.types
%config(noreplace) %{nginx_confdir}/uwsgi_params
%config(noreplace) %{nginx_confdir}/uwsgi_params.default
%config(noreplace) %{nginx_confdir}/scgi_params
%config(noreplace) %{nginx_confdir}/scgi_params.default
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%dir %{perl_vendorarch}/auto/%{name}
%{perl_vendorarch}/%{name}.pm
%{perl_vendorarch}/auto/%{name}/%{name}.so
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_home}
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_home_tmp}
%attr(-,%{nginx_user},%{nginx_group}) %dir %{nginx_logdir}


%changelog
* Mon Mar  4 2024 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.1-4
- added lua ipc module version 0.1.6

* Fri Feb 23 2024 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.1-3
- added lua module version 0.10.26

* Thu Nov 24 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.1-2
- update ngx_devel_kit to version 0.3.2

* Wed Oct 19 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.1-1
- update to 1.22.1

* Thu Aug 25 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.0-2
- added http proxy connect module version 0.0.3

* Thu Aug 11 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.22.0-1
- update to 1.22.0
- update njs module to version 0.7.6
- update headers more module to version 0.34

* Mon Apr 18 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.2-1
- update nginx push stream module to version 0.5.5
- update nginx rtmp module to version 1.2.2
- update njs module to version 0.7.3

* Mon Apr 18 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.2-1
- update to 1.20.2

* Mon Feb  7 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.1-3
- added headers more plugin at version 0.33

* Fri Jan 14 2022 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.1-2
- added njs plugin at version 0.7.1

* Mon Sep 20 2021 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.1-1
- update to 1.20.1

* Fri May  7 2021 Ernani Azevedo <azevedo@voipdomain.io> - 1.20.0-1
- update to 1.20.0
- update naxsi module to version 1.3

* Fri Aug  7 2020 Ernani Azevedo <azevedo@voipdomain.io> - 1.18.0-1
- update to 1.18.0
- update echo nginx module to version 0.62
- update devel kit module to version 0.3.1

* Tue Sep 17 2019 Ernani Azevedo <azevedo@voipdomain.io> - 1.16.1-1
- update to 1.16.1

* Tue Jul 16 2019 Ernani Azevedo <azevedo@voipdomain.io> - 1.16.0-1
- update to 1.16.0

* Tue Mar 26 2019 Ernani Azevedo <azevedo@voipdomain.io> - 1.14.2-1
- update to 1.14.2

* Tue Nov  6 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.14.1-1
- update to 1.14.1

* Tue Nov  6 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.14.0-2
- update naxsi plugin to version 0.56

* Tue Apr 17 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.14.0-1
- update to 1.14.0
- update nginx rtmp module to version 1.2.1

* Fri Oct 27 2017 Ernani Azevedo <azevedo@voipdomain.io> - 1.12.2-1
- update to 1.12.1
- update nginx push stream module to version 0.5.4

* Mon Sep  4 2017 Ernani Azevedo <azevedo@voipdomain.io> - 1.12.1-1
- update to 1.12.1
- update nginx rtmp module to version 1.2.0
- update echo nginx module to version 0.61

* Wed Apr 12 2017 Ernani Azevedo <azevedo@voipdomain.io> - 1.12.0-1
- update to 1.12.0
- added auth ldap module version 0.1
- update nginx echo module to version 0.60
- update naxsi plugin to version 0.55.3
- update rtmp module to version 1.1.11
- fixed the sticky module ng modular support
- fixed the echo module ngx_chain_t usage

* Tue Jan 31 2017 Ernani Azevedo <azevedo@voipdomain.io> - 1.10.3-1
- update to 1.10.3

* Mon Oct 31 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.10.2-1
- update to 1.10.2

* Fri Jul  8 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.10.1-1
- update to 1.10.1
- added a patch to sticky module ng to support modular mode
- added a patch to upstream fair to support modular mode
- changed internal NGiNX modules to modular mode
- added echo module version 0.59
- added rtmp module version 1.1.8

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.10.0-1
- update to 1.10.0
- update nginx sticky module ng to version 1.2.6
- update nginx push stream module plugin to version 0.5.2
- update naxsi plugin to version 0.55rc2
- changed nginx push stream module to modular support
- changed nginx naxsi module to modular support
- enabled stream module

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.15-1
- update to 1.9.15 (mainline version)

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.14-1
- update to 1.9.14 (mainline version)

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.13-1
- update to 1.9.13 (mainline version)

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.12-1
- update to 1.9.12 (mainline version)

* Tue Jul  5 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.11-1
- update to 1.9.11 (mainline version)
- added dynamic modules support
- added module nginx-devel-kit (modular supported)
- added module nginx-form-input (modular supported)

* Mon Feb 15 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.10-1
- update to 1.9.10 (mainline version)

* Fri Dec 11 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.9-1
- update to 1.9.9 (mainline version)

* Fri Dec 11 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.8-1
- update to 1.9.8 (mainline version)

* Fri Dec 11 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.7-1
- update to 1.9.7 (mainline version)

* Fri Dec 11 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.6-1
- update to 1.9.6 (mainline version)

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.5-1
- update to 1.9.5 (mainline version)
- removed obsolete spdy module
- added experimental http2 module

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.4-1
- update to 1.9.4 (mainline version)

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.3-1
- update to 1.9.3 (mainline version)

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.2-1
- update to 1.9.2 (mainline version)

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.1-1
- update to 1.9.1 (mainline version)

* Tue Sep 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.9.0-1
- update to 1.9.0 (mainline version)

* Thu May 21 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.8.0-3
- added support to systemd (RHEL/CentOS >= 7)

* Wed May  6 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.8.0-2
- updated nginx-push-stream-module to version 0.5.1
- removed obsolete nginx-sticky-module
- added nginx-sticky-module-ng version 1.2.5

* Wed Apr 22 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.8.0-1
- update to 1.8.0

* Sat Apr 18 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.6.3-1
- update to 1.6.3

* Sat Oct 11 2014 Ernani Azevedo <azevedo@voipdomain.io> - 1.6.2-1
- update to 1.6.2

* Sat Oct 11 2014 Ernani Azevedo <azevedo@voipdomain.io> - 1.6.1-1
- update to 1.6.1

* Tue May  6 2014 Ernani Azevedo <azevedo@voipdomain.io> - 1.6.0-1
- update to 1.6.0
- added linking parameters to fix CentOS/RHEL 7 linking bug

* Tue Mar 18 2014 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.7-1
- update to 1.4.7

* Tue Mar 18 2014 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.6-1
- update to 1.4.6

* Thu Mar 13 2014 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.5-1
- update to 1.4.5

* Thu Mar 13 2014 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.4-1
- update to 1.4.4

* Tue Oct 29 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.3-1
- update to 1.4.3

* Fri Aug 30 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.2-1
- update to 1.4.2

* Wed May  8 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.1-1
- update to 1.4.1

* Thu Apr 25 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.4.0-1
- update to 1.4.0

* Mon Apr 22 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.8-1
- update to 1.2.8
- removed extra module httpd-push-server (obsolete due to nginx-push-stream-module)
- added extra module nginx-push-stream-module
- added extra module naxsi module

* Tue Feb 19 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.7-1
- update to 1.2.7

* Tue Feb 19 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.6-1
- update to 1.2.6

* Tue Feb 19 2013 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.5-1
- update to 1.2.5

* Mon Oct  1 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.4-1
- update to 1.2.4

* Mon Oct  1 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.3-1
- update to 1.2.3

* Mon Oct  1 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.2-1
- update to 1.2.2

* Mon Jun 11 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.1-1
- update to 1.2.1
- added extra module sticky-module
- added extra module httpd-push-server

* Mon May 14 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.2.0-1
- update to 1.2.0

* Mon May 14 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.15-1
- update to 1.0.15

* Mon Apr 09 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.14-1
- update to 1.0.14

* Mon Apr 09 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.13-1
- update to 1.0.13

* Mon Apr 09 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.12-1
- update to 1.0.12

* Mon Apr 09 2012 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.11-1
- update to 1.0.11

* Mon Nov 07 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.10-1
- update to 1.0.10

* Mon Nov 07 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.9-1
- update to 1.0.9

* Mon Nov 07 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.8-1
- update to 1.0.8
- added support to MP4 HTTP module

* Mon Nov 07 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.7-1
- update to 1.0.7

* Thu Sep 29 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.6-1
- update to 1.0.6

* Thu Sep 29 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.5-1
- update to 1.0.5

* Tue Jun 28 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.4-1
- update to 1.0.4

* Tue Jun 28 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.3-1
- update to 1.0.3

* Tue Jun 28 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.2-1
- update to 1.0.2

* Tue Jun 28 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.1-1
- update to 1.0.1

* Tue Jun 28 2011 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 1.0.0-1
- update to 1.0.0

* Tue Dec 14 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.54-1
- update to 0.8.54

* Tue Dec 14 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.53-1
- update to 0.8.53

* Wed Oct 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.52-1
- update to 0.8.52
- removed EPEL references

* Wed Oct 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.51-1
- update to 0.8.51

* Wed Oct 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.50-1
- update to 0.8.50

* Wed Oct 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.49-1
- update to 0.8.49

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.48-1
- update to 0.8.48

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.47-1
- update to 0.8.47

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.46-1
- update to 0.8.46

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.45-1
- update to 0.8.45

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.44-1
- update to 0.8.44

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.43-1
- update to 0.8.43

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.42-1
- update to 0.8.42

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.41-1
- update to 0.8.41

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.40-1
- update to 0.8.40

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.39-1
- update to 0.8.39

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.38-1
- update to 0.8.38

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.37-1
- update to 0.8.37

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.36-1
- update to 0.8.36

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.35-1
- update to 0.8.35

* Fri Aug 06 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.34-1
- update to 0.8.34

* Tue Feb 09 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.33-1
- update to 0.8.33

* Tue Feb 09 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.32-1
- update to 0.8.32

* Tue Feb 09 2010 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.31-1
- update to 0.8.31

* Thu Dec 17 2009 Ernani Ernani Azevedo <azevedo@voipdomain.io> - 0.8.30-1
- update to 0.8.30

* Fri Dec 04 2009 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.39-2
- fixes CVE-2009-3555

* Mon Sep 14 2009 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.39-1
- update to 0.6.39
- fixes CVE-2009-2629

* Sun Aug 02 2009 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.38-1
- update to 0.6.38

* Sat Apr 11 2009 Jeremy Hinegardner <jeremy@hinegardner.org> 0.6.36-1
-  update to 0.6.36

* Thu Feb 19 2009 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.35-2
- rebuild

* Thu Feb 19 2009 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.35-1
- update to 0.6.35

* Tue Dec 30 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.34-1
- update to 0.6.34
- Fix inclusion of /usr/share/nginx tree => no unowned directories [mschwendt]

* Sun Nov 23 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.33-1
- update to 0.6.33

* Sun Jul 27 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.32-1
- update to 0.6.32
- nginx now supports DESTDIR so removed the patches that enabled it

* Mon May 26 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.31-3
- update init script
- remove 'default' listen parameter

* Tue May 13 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.31-2
- added missing Source files

* Mon May 12 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.6.31-1
- update to new upstream stable branch 0.6
- added 3rd party module nginx-upstream-fair
- add /etc/nginx/conf.d support [#443280]
- use /etc/sysconfig/nginx to determine nginx.conf [#442708]
- added default webpages
- add Requires for versioned perl (libperl.so) (via Tom "spot" Callaway)
- drop silly file Requires (via Tom "spot" Callaway)

* Sat Jan 19 2008 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.35-1
- update to 0.5.35

* Sun Dec 16 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.34-1
- update to 0.5.34

* Mon Nov 12 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.33-2
- bump build number - source wasn't update

* Mon Nov 12 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.33-1
* update to 0.5.33

* Mon Sep 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.32-1
- updated to 0.5.32
- fixed rpmlint UTF-8 complaints.

* Sat Aug 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.31-3
- added --with-http_stub_status_module build option.
- added --with-http_sub_module build option.
- add in pcre-config --cflags

* Sat Aug 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.31-2
- remove BuildRequires: perl-devel

* Fri Aug 17 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.31-1
- Update to 0.5.31
- specify license is BSD

* Sat Aug 11 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.30-2
- Add BuildRequires: perl-devel - fixing rawhide build

* Mon Jul 30 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.30-1
- Update to 0.5.30

* Tue Jul 24 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.29-1
- Update to 0.5.29

* Wed Jul 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.28-1
- Update to 0.5.28

* Mon Jul 09 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.27-1
- Update to 0.5.27

* Mon Jun 18 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.26-1
- Update to 0.5.26

* Sat Apr 28 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.19-1
- Update to 0.5.19

* Mon Apr 02 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.17-1
- Update to 0.5.17

* Mon Mar 26 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.16-1
- Update to 0.5.16
- add ownership of /usr/share/nginx/html (#233950)

* Fri Mar 23 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.15-3
- fixed package review bugs (#235222) given by ruben@rubenkerkhof.com

* Thu Mar 22 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.15-2
- fixed package review bugs (#233522) given by kevin@tummy.com

* Thu Mar 22 2007 Jeremy Hinegardner <jeremy@hinegardner.org> - 0.5.15-1
- create patches to assist with building for Fedora
- initial packaging for Fedora
